Commit 2478c539 authored by Noémi Ványi's avatar Noémi Ványi

update pyyaml

parent b9e42e69
......@@ -6,5 +6,5 @@ idna==2.7
pygments==2.1.3
pyopenssl==18.0.0
python-dateutil==2.7.3
pyyaml==3.13
pyyaml==4.2b1
requests[socks]==2.19.1
......@@ -22,7 +22,7 @@ from os.path import realpath, dirname, join, abspath, isfile
from io import open
from ssl import OPENSSL_VERSION_INFO, OPENSSL_VERSION
try:
from yaml import load
from yaml import safe_load
except:
from sys import exit, stderr
stderr.write('[E] install pyyaml\n')
......@@ -52,7 +52,7 @@ if not settings_path:
# load settings
with open(settings_path, 'r', encoding='utf-8') as settings_yaml:
settings = load(settings_yaml)
settings = safe_load(settings_yaml)
'''
enable debug if
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment